<!-- Main Content -->
<div class="container-fluid">
    <div class="side-body">
        <div class="row">
          <div class="col-12">
              <div class="card-body">
                <form class="form-inline" role="form">
                    <div class="form-group">
                        <label class="filter-col" style="margin-right:10px;" for="pref-perpage">Tanggal : </label>
                        <select class="form-control" name="year">
                          <% @years.each do |year| %>
                            <% if params[:year] == year[:value] %>
                              <option value="<%= year[:value] %>" selected><%= year[:name] %></option>
                            <% else %>
                              <option value="<%= year[:value] %>"><%= year[:name] %></option>
                            <% end %>
                          <% end %>
                        </select>
                      </div>
                      <div class="form-group">
                        <label class="filter-col" style="margin-right:10px;" for="pref-perpage"></label>
                        <select class="form-control" name="month">
                          <% @months.each do |month| %>
                            <% if params[:month] == month[:value] %>
                              <option value="<%= month[:value] %>" selected><%= month[:name] %></option>
                            <% else %>
                              <option value="<%= month[:value] %>"><%= month[:name] %></option>
                            <% end %>
                          <% end %>
                        </select>
                      </div>
                    <div class="form-group">
                      <button type="submit" style="margin:10px;" class="btn btn-default filter-col">
                        <span class="glyphicon glyphicon-record"></span> Search
                      </button>
                    </div>
                </form>
                <div class="pull-right card-action">
                  <%= link_to "Download PDF ", reports_path(:date => { year: params[:year], month: params[:month]}, :month => @month, :format => :pdf), class: 'btn btn-sm btn-info', method: 'get' %>
                </div>
              </div>
          </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">
                        <div class="title">Transaksi Keluar</div>
                        </div>
                    </div>
                    <div class="card-body">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th bgcolor="#9adbf9">No</th>
                                    <th bgcolor="#9adbf9">Nama Barang</th>
                                    <th bgcolor="#9adbf9">Jenis Barang</th>
                                    <th bgcolor="#9adbf9">Ukuran Barang</th>
                                    <th bgcolor="#9adbf9">Total Unit</th>
                                    <th bgcolor="#9adbf9">Total Harga</th>
                                    <th bgcolor="#9adbf9">PPN</th>
                                    <th bgcolor="#9adbf9">Diskon</th>
                                    <th bgcolor="#9adbf9">Tanggal</th>
                                </tr>
                            </thead>
                            <tbody>
                                <% no = 0 %>
                                <% @transactions.each do |transaction| %>
                                <% no += 1%>
                                <tr>
                                  <td><%= no %></td>
                                  <td><%= transaction.product.name %></td>
                                  <td><%= transaction.product.type_product %></td>
                                  <td><%= transaction.product.size %></td>
                                  <td><%= transaction.total %></td>
                                  <td><%= transaction.total_price %></td>
                                  <td><%= transaction.ppn %></td>
                                  <td><%= transaction.discount %></td>
                                  <td><%= transaction.created_at.strftime('%d-%m-%Y %H:%M') %></td>
                                </tr>
                              <% end %>
                              <td colspan="4">Total</td>
                              <td><%= @total_transactions%></td>
                              <td><%= @total_price_transactions%></td>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <div class="card-title">
                        <div class="title">Supply Barang</div>
                        </div>
                    </div>
                    <div class="card-body">
                        <table class="table table-bordered">
                            <thead>
                                <tr>
                                    <th bgcolor="#9adbf9">No</th>
                                    <th bgcolor="#9adbf9">Distributor</th>
                                    <th bgcolor="#9adbf9">Nama Barang</th>
                                    <th bgcolor="#9adbf9">Jenis Barang</th>
                                    <th bgcolor="#9adbf9">Ukuran Barang</th>
                                    <th bgcolor="#9adbf9">Unit Masuk</th>
                                    <th bgcolor="#9adbf9">Total Pembelian</th>
                                    <th bgcolor="#9adbf9">Tanggal</th>
                                </tr>
                            </thead>
                            <tbody>
                                <% no = 0 %>
                                <% @supplies.each do |supply| %>
                                <% no += 1%>
                                <tr>
                                  <td><%= no %></td>
                                  <td><%= supply.distributor.name %></td>
                                  <td><%= supply.product.name %></td>
                                  <td><%= supply.product.type_product %></td>
                                  <td><%= supply.product.size %></td>
                                  <td><%= supply.total %></td>
                                  <td><%= supply.product.gross_amount * supply.total %></td>
                                  <td><%= supply.created_at.strftime('%d-%m-%Y %H:%M') %></td>
                                </tr>
                              <% end %>
                              <td colspan="5">Total</td>
                              <td><%= @total_supplies %></td>
                              <td><%= @total_price_supplies %></td>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
